## stone-soup 0.21.0

=== source/Makefile ===
# vim:set ts=8 sw=4 noexpandtab:
#
# Dungeon Crawl Stone Soup
# GNU Makefile
#
# largely written by Steven Noonan <steven@uplinklabs.net>
#    (if something breaks, blame him.)
#

# Typical targets:
#    make
#    make debug
#    make debug-lite    # Like "make debug", but without all the spew.
#    make install
#    make debug install
#    -- note, unlike most programs, you need to specify build type when
#       installing even if you just built it.
# Typical parameters:
#    TILES         -- set to anything to enable tiles build
#
#    SOUND         -- set to anything to enable sound; note that you will need to
#                     uncomment some lines in sound.h if not building tiles
#
#    CROSSHOST     -- target system, eg, i386-pc-msdosdjgpp or i586-mingw32msvc
#
#    prefix        -- installation base.  Specify eg. /usr/local on Unix systems.
#    DESTDIR       -- installation staging area (the dir you intend to pack)
#    DATADIR       -- place to hold immutable files.  Can be either relative to
#                     "prefix" or absolute.
#    SAVEDIR       -- place to hold writeable data (saves, database, morgue
#                     dumps).  Can be relative to "prefix", absolute or placed
#                     in the user's home dir (~).  Remember to protect the ~
#                     from your shell!
#                     Warning, as of 0.8, directories shared between
#                     multiple system users are no longer supported.
#    SHAREDDIR     -- place to hold writeable data common to multiple
#                     versions of Crawl (scores, the logfile, ghosts).  Will
#                     be placed inside the SAVEDIR if not specified.
#       Layout examples:
#         prefix=~/crawl DATADIR=data/ SAVEDIR=saves/
#                  -- everything under ~/crawl
#         prefix=/usr/local
#                  -- system-wide installation
#
#    V             -- set to anything to enable verbose build
#
#    USE_ICC       -- set to use Intel's compiler
#    LTO           -- set for better optimization but slower compilation,
#                     requires gcc4.6+
#    NO_TRY_GOLD   -- if set don't try to detect a working gold linker
#    NOASSERTS     -- set to disable assertion checks (ignored in debug mode)
#    NOWIZARD      -- set to disable wizard mode.  Use if you have untrusted
#                     remote players without DGL.
#
#    PROPORTIONAL_FONT -- set to a .ttf file you want to use for a proportional
#                         font; if not set, a copy of Bitstream Vera Sans
#                         shipped with Crawl will be used
#    MONOSPACED_FONT   -- monospaced font; Bitstream Vera Mono Sans
#    COPY_FONTS    -- force installing fonts
#
#    WEBTILES      -- set to anything to compile for Webtiles
#    WEBDIR        -- place to hold the Webtiles client data. Can be either
#                     relative to prefix or absolute.
#
#    ANDROID       -- perform an Android build (see docs/develop/android.txt)
#    TOUCH_UI      -- enable UI behaviour more compatible with touch-screens
#
#
# Requirements:
#    For tile builds, you need pkg-config.
#    You also need libpng, sdl2, sdl2-image, sdl2-mixer and libfreetype -- if
#    you got your source from git, you can 'git submodule update' to fetch
#    them; you can also ask for a package with convenience libraries instead --
#    we'll try to provide them somewhere in the near future.

GAME = crawl

# Disable GNU Make implicit rules and variables. Leaving them enabled will slow
# down MinGW and Cygwin builds by a very VERY noticeable degree. Besides, we have
# _explicit_ rules defined for everything. So we don't need them.
MAKEFLAGS += -rR # This only works for recursive makes, i.e. contribs ...
.SUFFIXES:       # ... so zap the suffix list to neutralize most predifined rules, too

.PHONY: all test install clean clean-contrib clean-rltiles clean-android \
        distclean debug debug-lite profile package-source source \
        build-windows package-windows docs greet api android FORCE monster

include Makefile.obj

#
# Compiler Flags
#
# The compiler flag variables are separated into their individual
# purposes, making it easier to deal with the various tools involved
# in a compile.
#
# These are also divided into global vs. local flags. So for instance,
# CFOPTIMIZE affects Crawl, Lua, and SQLite, while CFOPTIMIZE_L only
# affects Crawl.
#
# The variables are as follows:
# CFOPTIMIZE(_L) - Optimization flags
# CFWARN(_L) - Warning flags
# CFOTHERS(_L) - Anything else
#

# Which C++ standard to support
STDFLAG = -std=c++11

CFOTHERS := -pipe $(EXTERNAL_FLAGS)
CFWARN := 
CFWARN_L := -Wall -Wformat-security -Wundef

DEFINES := $(EXTERNAL_DEFINES)

ifndef ANDROID
LDFLAGS :=
endif

#
# The GCC and GXX variables are set later.
#
AR = ar
RANLIB = ranlib
CC = $(GCC)
CXX = $(GXX)
RM = rm -f
COPY = cp
COPY_R = cp -r
STRIP = strip -s
WINDRES = windres
CHMOD = chmod 2>/dev/null
CHOWN = chown 2>/dev/null
PNGCRUSH = $(COPY)
PNGCRUSH_LABEL = COPY
ADVPNG = advpng -z -2
PKGCONFIG = pkg-config
DOXYGEN = doxygen
DOXYGEN_SIMPLE_CONF = crawl_simple.doxy
DOXYGEN_ALL_CONF = crawl_all.doxy
DOXYGEN_HTML_GEN = html/

export AR
export RANLIB
export RM
export CC
export CXX
export CFLAGS
export STDFLAG
export MAKEFLAGS
export CONFIGURE_FLAGS
export uname_S

#
# Platform Detection
#
uname_S := $(shell sh -c 'uname -s 2>/dev/null || echo not')
uname_M := $(shell sh -c 'uname -m 2>/dev/null || echo not')
uname_O := $(shell sh -c 'uname -o 2>/dev/null || echo not')
uname_R := $(shell sh -c 'uname -r 2>/dev/null || echo not')
uname_P := $(shell sh -c 'uname -p 2>/dev/null || echo not')
uname_V := $(shell sh -c 'uname -v 2>/dev/null || echo not')

HOST := $(shell sh -c 'cc -dumpmachine || echo unknown')
ARCH := $(HOST)

ifdef CROSSHOST
	ARCH := $(CROSSHOST)
	ifneq (,$($shell which $(ARCH)-pkg-config 2>/dev/null))
	  PKGCONFIG = $(ARCH)-pkg-config
	else
	  ifneq (,$(wildcard /usr/$(ARCH)/lib/pkgconfig))
	    PKGCONFIG = PKG_CONFIG_LIBDIR=/usr/$(ARCH)/lib/pkgconfig pkg-config
	  else
	    NO_PKGCONFIG = YesPlease
	    BUILD_LUA = yes
	    BUILD_SQLITE = yes
	    BUILD_ZLIB = YesPlease
	  endif
	endif
	NO_AUTO_OPT = YesPlease
	CONFIGURE_FLAGS += --host=$(CROSSHOST)

	# If needed, override uname_S so we get the appropriate
	# things compiled.
	ifneq (,$(findstring mingw,$(CROSSHOST)))
		uname_S=MINGW32
	endif

endif

msys =
ifneq (,$(findstring MINGW,$(uname_S)))
	msys = Yes
endif
ifneq (,$(findstring MSYS,$(uname_S)))
	msys = Yes
endif
ifdef msys
	GAME = crawl.exe
	bin_prefix = .
	WIN32 = Yes
	NO_RDYNAMIC = YesPlease
	NO_NCURSES = YesPlease
	NEED_LIBW32C = YesPlease
	BUILD_PCRE = YesPlease
	BUILD_ZLIB = YesPlease
	SOUND = YesPlease
	DEFINES_L += -DWINMM_PLAY_SOUNDS -D__USE_MINGW_ANSI_STDIO
	EXTRA_LIBS += -lwinmm
	ifdef TILES
		EXTRA_LIBS += -lmingw32 -lgdi32 -lwinmm -limm32 -lole32 -loleaut32 -lversion contrib/install/$(ARCH)/lib/libSDL2main.a -mwindows
		BUILD_FREETYPE = YesPlease
		BUILD_SDL2 = YesPlease
		BUILD_SDL2IMAGE = YesPlease
		BUILD_LIBPNG = YesPlease
		COPY_FONTS = yes
	endif
	ifeq ($(shell gcc -v -static -static-libstdc++ 2>&1 | grep 'unrecognized option'),)
		EXTRA_LIBS += -static -static-libgcc -static-libstdc++
	endif
endif
ifeq ($(uname_S),Darwin)
	STRIP := strip -x
	NEED_APPKIT = YesPlease
	LIBNCURSES_IS_UNICODE = Yes
	NO_PKGCONFIG = Yes
	BUILD_SQLITE = YesPlease
	BUILD_ZLIB = YesPlease
	ifdef TILES
		EXTRA_LIBS += -framework AppKit -framework AudioUnit -framework CoreAudio -framework ForceFeedback -framework Carbon -framework IOKit -framework OpenGL -framework AudioToolbox -framework CoreVideo contrib/install/$(ARCH)/lib/libSDL2main.a
		BUILD_FREETYPE = YesPlease
		BUILD_SDL2 = YesPlease
		BUILD_SDL2IMAGE = YesPlease
		ifdef SOUND
			ifndef WIN32 
				BUILD_SDL2MIXER = YesPlease
			endif
		endif
		BUILD_LIBPNG = YesPlease
		COPY_FONTS = yes
	endif
endif
ifdef USE_ICC
	NO_RDYNAMIC := YesPlease
endif
ifneq (,$(findstring CYGWIN,$(uname_S)))
	GAME = crawl.exe
	NO_RDYNAMIC = YesPlease
	BUILD_PCRE = YesPlease
	# newlib doesn't provide Posix functions with c++11
	STDFLAG = -std=gnu++11
endif

ifdef BUILD_ALL
	BUILD_FREETYPE = YesPlease
	BUILD_PCRE = YesPlease
	BUILD_SDL2 = YesPlease
	BUILD_SDL2IMAGE = YesPlease
	ifdef SOUND
		ifndef WIN32 
			BUILD_SDL2MIXER = YesPlease
		endif
	endif
	BUILD_SQLITE = YesPlease
	BUILD_LUA = YesPlease
	BUILD_LIBPNG = YesPlease
	BUILD_ZLIB = YesPlease
endif

# Should be the first rule, but must come after $(GAME) is set.
all: greet check-fonts $(GAME) docs webserver

LIBPCRE := contrib/install/$(ARCH)/lib/libpcre.a
LIBSDL2 := contrib/install/$(ARCH)/lib/libSDL2.a
LIBPNG := contrib/install/$(ARCH)/lib/libpng.a
LIBSDL2IMAGE := contrib/install/$(ARCH)/lib/libSDL2_image.a
LIBSDL2MIXER := contrib/install/$(ARCH)/lib/libSDL2_mixer.a
LIBFREETYPE := contrib/install/$(ARCH)/lib/libfreetype.a
LIBSQLITE := contrib/install/$(ARCH)/lib/libsqlite3.a
ifdef USE_LUAJIT
LIBLUA := contrib/install/$(ARCH)/lib/libluajit.a
else
LIBLUA := contrib/install/$(ARCH)/lib/liblua.a
endif
LIBZ := contrib/install/$(ARCH)/lib/libz.a

ifndef CROSSHOST
	# FreeBSD keeps all of its userland includes in /usr/local so
	# look there
	ifeq ($(uname_S),FreeBSD)
		SQLITE_INCLUDE_DIR := /usr/local/include
	else
		SQLITE_INCLUDE_DIR := /usr/include
	endif
else
	# This is totally wrong, works only with some old-style setups, and
	# on some architectures of Debian/new FHS multiarch -- excluding, for
	# example, i386.  Fortunately, i386 is rarely cross-compiled to.
	# There's no support for /usr/local/ too, without thorough handholding.
	# It's still an improvement over Crawl 0.8 which had no cross-compiling
	# to non-win32 at all.
	#
	# Needs to be replaced by compile checks.  Guessing the paths is fragile,
	# while the compiler knows them already.
	SQLITE_INCLUDE_DIR := /usr/$(ARCH)/include
endif
SQLITE_LIB := -lsqlite3

#
# Set up the TILES variant
#
ifdef TILES
TILES_ANY = YesPlease
OBJECTS += $(TILES_OBJECTS) $(GLTILES_OBJECTS)
  ifdef WEBTILES
    OBJECTS += $(error Web and local tiles are exclusive)
  endif
endif

ifdef WEBTILES
TILES_ANY = YesPlease
OBJECTS += $(TILES_OBJECTS) $(WEBTILES_OBJECTS)
endif

ifdef ANDROID
TILES_ANY = YesPlease
endif

#
# Check for an Apple-released compiler.
#
ifndef NO_APPLE_PLATFORM
ifeq ($(uname_S),Darwin)
ifneq ($(shell gcc -v 2>&1 | grep Apple),)
APPLE_PLATFORM = YesPlease
endif
endif
endif


ifdef WIN32
EXTRA_OBJECTS += icon.o
else
ifndef ANDROID
EXTRA_LIBS += -pthread
endif
endif

ifndef TILES
ifdef NEED_LIBW32C
OBJECTS += libw32c.o
else
OBJECTS += libunix.o
endif
endif

# To get stack trace symbols.
# Note that MinGW doesn't support -rdynamic.
ifndef NO_RDYNAMIC
LDFLAGS += -rdynamic
endif

ifdef USE_MERGE_BASE
MERGE_BASE := $(shell git merge-base HEAD $(USE_MERGE_BASE))
endif

ifdef USE_DGAMELAUNCH
# Permissions to set on the game executable.
MCHMOD := 755

# Permissions to set on the save directory.
MCHMOD_SAVEDIR := 775
MCHMOD_LOGS := 664

# The user:group to install the game as.
INSTALL_UGRP := games:games
endif

ifeq ($(patsubst %/local,%,$(patsubst %/,%,$(prefix))),/usr)
FHS := yes
endif

ifeq (,$(bin_prefix))
ifneq ($(patsubst %/,%,$(prefix)),/usr)
bin_prefix    := bin
else
bin_prefix    := games
endif
endif

# If you're installing Crawl for multiple users, you *must* set this to a
# valid path before building Crawl. This is not necessary if you are building
# Crawl for a single user.
# If you're installing to /usr, /usr/local or /opt, we have sane defaults.

# SAVEDIR := saves/
# DATADIR := data/
ifneq (,$(FHS))
DATADIR       := share/crawl
SAVEDIR       := ~/.crawl
endif

ifneq ($(patsubst /opt%,%,$(prefix)),$(prefix))
DATADIR := data
SAVEDIR := ~/.crawl
endif


INCLUDES_L += -Iutil -I.

ifdef APPLE_PLATFORM

ifdef BUILD_UNIVERSAL
# [ds] 10.4 SDK g++-4.0 + x86_64 runs into SDL compile issues.
CFLAGS_ARCH := -arch i386 -arch ppc -faltivec
CFLAGS_DEPCC_ARCH := -arch i386
NO_INLINE_DEPGEN := YesPlease
else
CFLAGS_ARCH := -arch $(uname_M)
endif

MACOSX_MIN_VERSION=10.7

=== source/contrib/sdl2/Makefile ===
# -*- Makefile -*- for sdl2

ifneq ($(findstring $(MAKEFLAGS),s),s)
ifndef V
	QUIET_CC       = @echo '   ' CC $@;
	QUIET_AR       = @echo '   ' AR $@;
	QUIET_RANLIB   = @echo '   ' RANLIB $@;
	QUIET_INSTALL  = @echo '   ' INSTALL $<;
	export V
endif
endif

uname_S ?= $(shell uname -s)

# Since Windows builds could be done with MinGW or Cygwin,
# set a TARGET_OS_WINDOWS flag when either shows up.
ifneq (,$(findstring MINGW,$(uname_S)))
TARGET_OS_WINDOWS := YesPlease
endif
ifneq (,$(findstring CYGWIN,$(uname_S)))
TARGET_OS_WINDOWS := YesPlease
endif

SDL2_LIB = libSDL2.a
SDL2MAIN_LIB = libSDL2main.a
AR    ?= ar
CC    ?= gcc
RANLIB?= ranlib
RM    ?= rm -f

CFLAGS ?= -O2

prefix ?= /usr/local
libdir := $(prefix)/lib
includedir := $(prefix)/include/SDL2

HEADERS = include/*.h

SDL2_SOURCES = \
    src/*.c \
    src/audio/*.c \
    src/atomic/*.c \
    src/cpuinfo/*.c \
    src/events/*.c \
    src/file/*.c \
    src/haptic/*.c \
    src/joystick/*.c \
    src/power/*.c \
    src/render/*.c \
    src/stdlib/*.c \
    src/thread/*.c \
    src/timer/*.c \
    src/video/*.c \
	src/audio/disk/*.c \
	src/audio/dummy/*.c \
	src/filesystem/dummy/*.c \
	src/haptic/dummy/*.c \
	src/joystick/dummy/*.c \
	src/render/software/*.c \
	src/render/opengl/*.c \
	src/timer/dummy/*.c \
	src/video/dummy/*.c \
	src/loadso/dummy/*.c

SDL2MAIN_SOURCES = \
    src/main/dummy/*.c

ifeq ($(uname_S),Linux)
SDL2_SOURCES += \
    src/audio/alsa/*.c \
    src/audio/dsp/*.c \
    src/core/linux/*.c \
    src/core/unix/*.c \
    src/haptic/linux/*.c \
    src/joystick/linux/*.c \
    src/joystick/steam/*.c \
    src/loadso/dlopen/*.c \
    src/power/linux/*.c \
    src/thread/pthread/*.c \
    src/timer/unix/*.c \
    src/video/directfb/*.c \
    src/video/x11/*.c

CFLAGS += -D_GNU_SOURCE -D_REENTRANT
endif

ifeq ($(uname_S),Darwin)
SDL2_SOURCES += \
    src/audio/coreaudio/*.m \
    src/file/cocoa/*.m \
    src/filesystem/cocoa/*.m \
    src/haptic/darwin/*.c \
    src/joystick/darwin/*.c \
    src/loadso/dlopen/*.c \
    src/power/macosx/*.c \
    src/thread/pthread/*.c \
    src/timer/unix/*.c \
    src/video/cocoa/*.m
endif

ifdef TARGET_OS_WINDOWS
SDL2_SOURCES += \
    src/audio/directsound/*.c \
    src/audio/winmm/*.c \
    src/core/windows/*.c \
    src/filesystem/windows/*.c \
    src/haptic/windows/*.c \
    src/joystick/windows/*.c \
    src/libm/*.c \
    src/loadso/windows/*.c \
    src/power/windows/*.c \
    src/render/direct3d/*.c \
    src/thread/windows/*.c \
    src/thread/generic/*.c \
    src/timer/windows/*.c \
    src/video/windows/*.c \

SDL2MAIN_SOURCES += \
    src/main/windows/*.c
endif

SDL2_SOURCES := $(shell echo $(SDL2_SOURCES))
SDL2MAIN_SOURCES := $(shell echo $(SDL2MAIN_SOURCES))
HEADERS := $(shell echo $(HEADERS))

HEADERS_INST := $(patsubst include/%,$(includedir)/%,$(HEADERS))

# First handle .c files
SDL2_OBJECTS := $(patsubst %.c,%.o,$(SDL2_SOURCES))
SDL2MAIN_OBJECTS := $(patsubst %.c,%.o,$(SDL2MAIN_SOURCES))

# Now .m files
SDL2_OBJECTS := $(patsubst %.m,%.o,$(SDL2_OBJECTS))
SDL2MAIN_OBJECTS := $(patsubst %.m,%.o,$(SDL2MAIN_OBJECTS))

CFLAGS += -I. -Iinclude -DNO_STDIO_REDIRECT

.PHONY: install

all: $(SDL2_LIB) $(SDL2MAIN_LIB)

$(includedir)/%.h: include/%.h
	-@if [ ! -d $(includedir)  ]; then mkdir -p $(includedir); fi
	$(QUIET_INSTALL)cp $< $@
	@chmod 0644 $@

$(libdir)/%.a: %.a
	-@if [ ! -d $(libdir)  ]; then mkdir -p $(libdir); fi
	$(QUIET_INSTALL)cp $< $@
	@chmod 0644 $@

install: $(HEADERS_INST) $(libdir)/$(SDL2_LIB) $(libdir)/$(SDL2MAIN_LIB)

clean:
	$(RM) $(SDL2_OBJECTS) $(SDL2MAIN_OBJECTS) *.a .cflags

distclean: clean

$(SDL2_LIB): $(SDL2_OBJECTS)
	@$(RM) $@
	$(QUIET_AR)$(AR) rcu $@ $^
	$(QUIET_RANLIB)$(RANLIB) $@

$(SDL2MAIN_LIB): $(SDL2MAIN_OBJECTS)
	@$(RM) $@
	$(QUIET_AR)$(AR) rcu $@ $^
	$(QUIET_RANLIB)$(RANLIB) $@

%.o: %.c .cflags
	$(QUIET_CC)$(CC) $(CFLAGS) -o $@ -c $<

%.o: %.m .cflags
	$(QUIET_CC)$(CC) $(CFLAGS) -o $@ -c $<

TRACK_CFLAGS = $(subst ','\'',$(CC) $(CFLAGS))

.cflags: .force-cflags
	@FLAGS='$(TRACK_CFLAGS)'; \
    if test x"$$FLAGS" != x"`cat .cflags 2>/dev/null`" ; then \
	echo "    * rebuilding sdl2: new build flags or prefix"; \
	echo "$$FLAGS" > .cflags; \
    fi

.PHONY: .force-cflags

=== debian/changelog ===
stone-soup (0.21.0-1mx15+1) mx; urgency=medium

  * New relesae repackaged for MX Linux.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 03 Feb 2018 08:10:45 -0800

stone-soup (0.21.0-1mx17+1) mx; urgency=medium

  * New release repackaged for MX Linux.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 03 Feb 2018 06:54:51 -0800

stone-soup (0.20.1-1mx17+1) mx; urgency=medium

  * New release repackaged for MX Linux.

 -- Mike Purtell <mandbx@sbcglobal.net>  Sun, 01 Oct 2017 16:44:25 -0400

stone-soup (0.20.1-1mx15+1) mx; urgency=medium

  * New release repackaged for MX Linux.

 -- Mike Purtell <mandbx@sbcglobal.net>  Mon, 17 Jul 2017 18:21:05 -0700

stone-soup (0.20.1-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 02 Jul 2017 14:23:36 +0200

stone-soup (0.20.0-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 28 May 2017 18:33:53 +0200

stone-soup (0.19.5-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 01 Mar 2017 19:07:22 +0100

stone-soup (0.19.4-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 30 Jan 2017 18:29:51 +0100

stone-soup (0.19.3-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 22 Jan 2017 14:06:08 +0100

stone-soup (0.19.1-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 23 Nov 2016 17:28:44 +0100

stone-soup (0.19.0-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 06 Nov 2016 17:20:11 +0100

stone-soup (0.18.1-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 06 May 2016 19:14:32 +0200

stone-soup (0.17.1-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 10 Dec 2015 20:34:51 +0100

stone-soup (0.17.0-1~getdeb2) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 06 Nov 2015 19:57:21 +0100

stone-soup (0.16.2-1~getdeb2) trusty; urgency=medium

  * Fix debian/watch file

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 14 Aug 2015 11:29:19 +0200

stone-soup (0.16.2-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 13 Aug 2015 20:44:16 +0200

stone-soup (0.16.1-1~getdeb2) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 06 Jun 2015 19:54:55 +0200

stone-soup (0.15.2-1~getdeb2) trusty; urgency=medium

  * New upstream version
    * Assorted crash fixes, bug fixes, and display cleanups.
    * Always weight formicid weapon acquirement towards two-handed weapons.
    * Allow in-game updates to the mon_glyph option to change the glyph.
    * Allow the option syntax of mon_glyph = <mon1>:<mon2> in order to set
    the color/glyph of one monster using the base values of another monster.
    * In tiles, the tile_player_tile option allows you to specify an
    arbitrary monster tile to display for your character. The options
    tile_weapon_offsets and tile_shield_offsets can be used to adjust
    the player weapon and shield location when using these custom tiles.
    * For use with tile_player_tile: the old orb guardian tile, a new monster
    vampire tile, and weapon/shield offsets for various monster tiles.

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 30 Oct 2014 21:39:15 +0100

stone-soup (0.15.2-1~getdeb1) trusty; urgency=medium

  * New upstream version
    * Assorted crash fixes, bug fixes, and display cleanups.
    * Always weight formicid weapon acquirement towards two-handed weapons.
    * Allow in-game updates to the mon_glyph option to change the glyph.
    * Allow the option syntax of mon_glyph = <mon1>:<mon2> in order to set
    the color/glyph of one monster using the base values of another monster.
    * In tiles, the tile_player_tile option allows you to specify an
    arbitrary monster tile to display for your character. The options
    tile_weapon_offsets and tile_shield_offsets can be used to adjust
    the player weapon and shield location when using these custom tiles.
    * For use with tile_player_tile: the old orb guardian tile, a new monster
    vampire tile, and weapon/shield offsets for various monster tiles.

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 21 Oct 2014 20:39:06 +0200

stone-soup (0.15.1-1~getdeb1) trusty; urgency=medium

  * New upstream version
    * Assorted crash fixes.
    * Monsters don't benefit from player throwing skill.
    * Monsters no longer flee at random on re-entering a level after a short
    time.
    * Several messages correctly no longer appear for out-of-sight monster
      actions.
    * Dithmenos' stealth bonus works properly again.
    * Several spell icons that missed the initial 0.15 release.

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 16 Sep 2014 21:47:24 +0200

stone-soup (0.15.0-1~getdeb1) trusty; urgency=medium

  * New upstream version
    Stone Soup 0.15 (20140828)
    --------------------------
    * New god: Qazlal Stormbringer.
    * Nemelex Xobeh and decks in general have had many changes.
    * Ranged combat has been rewritten from the ground up.
    * Inventory weight limits have been removed.
    * Item destruction is no more, and corrosion has a more severe but
      temporary effect.

    Branches, environment
    ---------------------
    * The Hall of Blades has been cut.
    * Crypt is now three levels (was five).
    * Some areas of the Tomb layout can now vary.
    * Mechanical traps no longer drop ammo.
    * Most randomly-placed teleport traps now disappear after one use.


=== debian/control ===
Source: stone-soup
Section: games
Priority: optional
Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Christoph Korn <c_korn@gmx.de>
Build-Depends: debhelper (>= 9),
               libpcre3-dev,
               libreadline6-dev,
               zlib1g-dev,
               libbz2-dev,
               libsdl2-dev,
               libsdl2-image-dev,
               libsdl2-mixer-dev,
               libfreetype6-dev,
               libsqlite3-dev,
               libpng12-dev,
               liblua5.1-0-dev,
               bison,
               flex,
               ttf-dejavu-core,
               libncursesw5-dev,
               pkg-config
Standards-Version: 3.9.7
Homepage: http://crawl.develz.org/wordpress/

Package: stone-soup
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ttf-bitstream-vera,
         ttf-dejavu-core
Description: Free rogue-like game of exploration and treasure-hunting
 Dungeon Crawl Stone Soup is a fun, free rogue-like game of
 exploration and treasure-hunting in dungeons filled with
 dangerous and unfriendly monsters in a quest for the
 mystifyingly fabulous Orb of Zot.

=== debian/rules ===
#!/usr/bin/make -f
PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
PKG  = $(shell dpkg-parsechangelog -l$(PKD)/changelog -SSource)
VER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog -SVersion | cut -d- -f1)


%:
	dh $@ --parallel -Dsource

# Build in dh_auto_install target because Makefile
# decides to rebuild if flags change (DESTDIR)
override_dh_auto_build:

# Requires X
override_dh_auto_test:

override_dh_auto_install:
	# this is very special. LDFLAGS must not be set or there is a segfault when generating the tiles.
	bash -c "unset LDFLAGS && cd source && DESTDIR=../debian/stone-soup make TILES=y prefix=/usr DATADIR=/usr/share/games/stone-soup SAVEDIR='~/.config/stone-soup' install"
	#dh_auto_install -- TILES=y prefix=/usr DATADIR=/usr/share/games/stone-soup SAVEDIR='~/.config/stone-soup' install
	# We need the executable in a different directory.
	mv debian/stone-soup/usr/games/crawl debian/stone-soup/usr/lib/games/stone-soup/crawl

	cd debian/stone-soup && rm usr/share/games/stone-soup/docs/license/libpng-LICENSE.txt \
	                           usr/share/games/stone-soup/docs/license/lualicense.txt \
	                           usr/share/games/stone-soup/docs/license/pcre_license.txt && \
	                        chmod -x usr/share/games/stone-soup/dat/tiles/title_psiweapon_kiku.png

override_dh_install:
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.txt

## http://wiki.debian.org/onlyjob/get-orig-source
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER).orig.tar.xz $(info I: $(PKG)_$(VER))
	@

## checkout from git (add "git" to Build-Depends)
UURL = https://github.com/crawl/crawl.git
$(PKG)_$(VER).orig.tar.xz: $(info I: $(PKG)_$(VER))
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Downloading..."
	git clone --recursive $(UURL) $(PKG)-$(VER) \
	|| $(RM) -r $(PKG)-$(VER)
	cd $(PKG)-$(VER) \
	&& git checkout $(VER) \
	&& [ -s ChangeLog ] || ( echo "# Generating ChangeLog..." \
	   ; git log --pretty="format:%ad  %aN  <%aE>%n%n%x09* %s%n" --date=short > ChangeLog \
	   ; touch -d "$$(git log -1 --format='%ci')" ChangeLog) \
	&& echo "# Setting version..." \
	&& mv crawl-ref $(PKG)-$(VER) && mv ChangeLog $(PKG)-$(VER) && git describe --tags > $(PKG)-$(VER)/source/util/release_ver \
	&& echo "# Cleaning-up..." \
	&& $(RM) -r .git .git* $(PKG)-$(VER)/.git*
	@echo "# Packing..."
	cd $(PKG)-$(VER) && find -L "$(PKG)-$(VER)" -xdev -type f -print | LC_ALL=C sort \
	| XZ_OPT="-6v" tar -caf "../$(PKG)_$(VER).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	&& cd .. && $(RM) -r "$(PKG)-$(VER)"

=== debian/watch ===
version=3
https://github.com/crawl/crawl/releases \
    (?:.*/)?archive/([\d\.]+)\.tar\.gz
